---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/users/get-user.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting information about the user

The request enables you to get information about the account of an organization's user.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/users/&lt;user_login_or_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get information about the user, use an HTTP `GET` request:

```json
GET /v3/users/<user_login_or_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
--- | --- | ---
| \<user_login_or_ID\> | Unique ID of the account or the user login | String |


{% note warning "" %}

If the username consists only of digits, use the following request format:

`GET https://api.tracker.yandex.net/v3/users/login:12345`

where `12345` is the username.

{% endnote %}


{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains a JSON object with the user parameters.


    ```json
    {
        "self": "https://api.tracker.yandex.net/v3/users/12********",
        "uid": 12********,
        "login": "<user_login>",
        "trackerUid": 12********,
        "passportUid": 12********,
        "cloudUid": "bfbdrb1aa248********",
        "firstName": "<first_name>",
        "lastName": "<last_name>",
        "display": "<displayed_name>",
        "email": "<email>",
        "external": false,
        "hasLicense": true,
        "dismissed": false,
        "useNewFilters": true,
        "disableNotifications": false,
        "firstLoginDate": "2020-10-27T13:06:21.787+0000",
        "lastLoginDate": "2022-07-25T17:12:33.787+0000",
        "welcomeMailSent": true
    }
    ```


    {% cut "Response parameters" %}

    <!-- source: en/_includes/api/new-default-id-type.md -->
    {% note warning "" %}

    Starting October 1, 2023, the default user ID type changed from `passportUid` to `uid`. We recommend that you clearly specify the user ID type when performing integration.

    {% endnote %}
    <!-- endsource: en/_includes/api/new-default-id-type.md -->

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the user account. | String |
    | uid | Unique ID of the user Tracker account. | Number |
    | login | User's login. | String |
    | trackerUid | Unique ID of the user Tracker account. | Number |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    | firstName | Username | String |
    | lastName | User's last name. | String |
    | display | Displayed user name | String |
    | email | User email address. | String |
    |  |
    | external | Service parameter | Boolean |
    | hasLicense | Flag indicating whether the user has full access to Tracker:<ul><li>`true`: Full access.</li><li>`false`: Read-only access.</li></ul> | Boolean |
    | dismissed | User status in the organization:<ul><li>`true`: User is deleted from the organization.</li><li>`false`: User is a current employee.</li></ul> | Boolean |
    | useNewFilters | Service parameter | Boolean |
    | disableNotifications | Flag indicating whether user notifications are forced disabled:<ul><li>`true`: Notifications disabled.</li><li>`false`: Notifications enabled.</li></ul> | Boolean |
    | firstLoginDate | Date and time of the user's first authentication in Tracker. Format: `YYYY-MM-DDThh:mm:ss.sss±hhmm`. | String |
    | lastLoginDate | Date and time of the user's last authentication in Tracker. Format: `YYYY-MM-DDThh:mm:ss.sss±hhmm`. | String |
    | welcomeMailSent | Method of adding a user: <ul><li>`true`: By sending an invitation by email.</li><li>`false`: By other means.</li></ul>. | Logical |
    | 

    {% endcut %}

- Request failed

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}